<ion-view title="ASDRA">
    <ion-nav-buttons side="left">
        <button class="button button-assertive" ng-click="filtrarTap()">Filtrar</button>
    </ion-nav-buttons>
    <ion-nav-buttons side="right">
        <button on-tap="agregarTap()" class="button button-assertive">Agregar</button>
    </ion-nav-buttons>
    <ion-header-bar class="bar-subheader item-input-inset">
        <label class="item-input-wrapper">
            <i class="icon ion-ios-search placeholder-icon"></i>
            <input type="search" placeholder="Buscar" ng-change="search();" ng-model="data.search">
        </label>
        <button class="button button-clear" ng-click="cancelSearch();">
            Cancelar
        </button>
    </ion-header-bar>
    <ion-content class="has-subheader" scroll="true">
        <ion-list class="sites-detailed">
            <ion-item ng-repeat="site in data.sitesToShow" type="item-text-wrapper" ng-click="setSite(site); showSite();">
                <img ng-src="{{ item.image }}" style="display: none">
                <h2>{{site.name}}</h2>
                <div class="hearts">
                    <div id="5h" ng-show="site.hearts == 5">
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                    </div>
                    <div id="4h" ng-show="site.hearts == 4">
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                    </div>
                    <div id="3h" ng-show="site.hearts == 3">
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                    </div>
                    <div id="2h" ng-show="site.hearts == 2">
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                    </div>
                    <div id="1h" ng-show="site.hearts < 2">
                        <i class="icon ion-ios-heart"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                        <i class="icon ion-ios-heart disabled"></i>
                    </div>
                </div>
                <h3>{{site.town}}</h3>
                <h4>{{site.category}}</h4>
            </ion-item>
        </ion-list>
    </ion-content>
</ion-view>
